#include <iostream>
#include <fstream>
#include "detect_hacking.h"
#include "md5.h"

using namespace std;
using namespace security_tools;

int
main(int argc, char ** argv)
{
   if(argc != 2) {
      cerr << "usage: " << argv[0] << " <hash_file>" << endl;
      exit(1);
   }
   try {
      string hash;
      if(compute_md5(argv[1], hash)) {
         cout << "\"" << hash << "\"" << endl;
      }
   } 
   catch(hacking_exception hack) {
      cout << "hacking exception..." << endl;
      exit(1);
   }
   return 0;
}
